Create a saved object
https://{kibana_url}
- POST /api/saved_objects/{type}/{id}
- POST /s/{space_id}/api/saved_objects/{type}/{id}
Refer to Spaces for more information.
Create a Kibana saved object and specify its identifier instead of using a randomly generated ID.
Query Parameters
-
overwriteboolean If true, overwrites the document with the same identifier.
Request
-
attributesobjectrequired -
The data that you want to create. WARNING: When you create saved objects, attributes are not validated, which allows you to pass arbitrary and ill-formed data into the API that can break Kibana. Make sure any data that you send to the API is properly formed.
-
initialNamespacesobject -
Identifiers for the spaces in which this object is created. If this is provided, the object is created only in the explicitly defined spaces. If this is not provided, the object is created in the current space (default behavior). For shareable object types (registered with
namespaceType: 'multiple'), this option can be used to specify one or more spaces, including the "All spaces" identifier (''). For isolated object types (registered withnamespaceType: 'single'ornamespaceType: 'multiple-isolated'), this option can only be used to specify a single space, and the "All spaces" identifier ('') is not allowed. For global object types (registered withnamespaceType: agnostic`), this option cannot be used. -
referencesobject -
Identifiers for the spaces in which this object is created. If this is provided, the object is created only in the explicitly defined spaces. If this is not provided, the object is created in the current space (default behavior). For shareable object types (registered with
namespaceType: 'multiple'), this option can be used to specify one or more spaces, including the "All spaces" identifier (''). For isolated object types (registered withnamespaceType: 'single'ornamespaceType: 'multiple-isolated'), this option can only be used to specify a single space, and the "All spaces" identifier ('') is not allowed. For global object types (registered withnamespaceType: agnostic`), this option cannot be used.
Responses
Indicates a successful call.
Response Type: object
Indicates a conflict error.
Response Type: object